<?php get_header(); ?>

	<ul id="menu">
		<li class="on"><a href="<?php echo get_option('home'); ?>/">Blog</a></li>
		<?php wp_list_pages('title_li='); ?>
	</ul>
	
	<div class="clear"></div>

</div>

<hr />

<div id="content_wrap">
	
	<div id="container">
		
		<div id="main_content">
			
			<?php if (have_posts()) : ?>
			
			<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
	    <?php /* If this is a category archive */ if (is_category()) { ?>
			<h2 id="title">Archive for the &#8216;<?php echo single_cat_title(); ?>&#8217; Category</h2>
	
	 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h2 id="title">Archive for <?php the_time('F jS, Y'); ?></h2>
	
		  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h2 id="title">Archive for <?php the_time('F, Y'); ?></h2>
	
			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h2 id="title">Archive for <?php the_time('Y'); ?></h2>
	
		  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h2 id="title">Author Archive</h2>
	
			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h2 id="title">Blog Archives</h2>
	
			<?php } ?>
			
			<?php while (have_posts()) : the_post(); ?>
			
			<div class="entry">
	
				<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
				
				<p class="date">On: <?php the_time('F jS, Y') ?></p>
				
				<div class="text">
					
					<?php the_excerpt(); ?>
					
				</div>
				
				<div class="meta">
					<p>By: <?php the_author_posts_link(); ?> | <a href="<?php the_permalink() ?>">Read more</a> | <a href="<?php comments_link(); ?>"><?php comments_number('0 Comments','1 Comment','% Comments'); ?></a></p>
				</div>
				
			</div>
			
			<hr />
			
			<?php endwhile; ?>
			
				<?php next_posts_link('<span style="font-size: 1.2em;">&lt; Previous</span>') ?>
				<?php previous_posts_link('<span style="font-size: 1.2em;">Next &gt;</span>') ?>
			
			<?php else : ?>

			<h2 id="title">Error 404 - Not Found</h2>
		
			<div class="entry">
				
				<div class="text">
					
					<p>The page you are looking for does not exist or has been moved.</p>
					
					<p><a href="<?php echo get_option('home'); ?>/">Go back to the homepage</a></p>
					
				</div>
				
			</div>
			
			<hr />
			
			<?php endif; ?>
			
		</div>

		<?php get_sidebar(); ?>
		
		<?php get_footer(); ?>